Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/CDR_Stream.i File Reference

`#include "ace/OS_NS_string.h"`
`#include "ace/OS_Memory.h"`

Include dependency graph for CDR_Stream.i:

This graph shows which files directly or indirectly include this file:

## Functions
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Char x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Short x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::UShort x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Long x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::ULong x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::LongLong x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::ULongLong x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::LongDouble x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Float x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_CDR::Double x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, const ACE_CDR::Char *x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, const ACE_CDR::WChar *x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_boolean x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_char x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_wchar x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_octet x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_string x)
ACE_INLINE ACE_CDR::Boolean | operator<< (ACE_OutputCDR &os, ACE_OutputCDR::from_wstring x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Char &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Short &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::UShort &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Long &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::ULong &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::LongLong &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::ULongLong &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::LongDouble &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Float &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Double &x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::Char *&x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_CDR::WChar *&x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_boolean x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_char x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_wchar x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_octet x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_string x)
ACE_INLINE ACE_CDR::Boolean | operator>> (ACE_InputCDR &is, ACE_InputCDR::to_wstring x)

## Function Documentation

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_OutputCDR::from_wstring | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_OutputCDR::from_string | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_OutputCDR::from_octet | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_OutputCDR::from_wchar | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_OutputCDR::from_char | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_OutputCDR::from_boolean | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | const ACE_CDR::WChar * | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | const ACE_CDR::Char * | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::Double | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::Float | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::LongDouble | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::ULongLong | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::LongLong | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::ULong | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::Long | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::UShort | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::Short | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator<< | ( | ACE_OutputCDR & | os,
|  | ACE_CDR::Char | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_InputCDR::to_wstring | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_InputCDR::to_string | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_InputCDR::to_octet | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_InputCDR::to_wchar | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_InputCDR::to_char | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_InputCDR::to_boolean | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::WChar *& | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::Char *& | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::Double & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::Float & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::LongDouble & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::ULongLong & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::LongLong & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::ULong & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::Long & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::UShort & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::Short & | x
| ) |

ACE_INLINE ACE_CDR::Boolean operator>> | ( | ACE_InputCDR & | is,
|  | ACE_CDR::Char & | x
| ) |